"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-38/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7B80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7C10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7CA0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7D30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7DC0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7E50>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7EE0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371C7F70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF040>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF0D0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF160>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF1F0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF280>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF310>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF3A0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF430>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF4C0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF550>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF5E0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF670>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF700>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF790>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF820>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF8B0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF9D0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CF940>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFA60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFAF0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFB80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFC10>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFCA0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFD30>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFDC0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFE50>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFEE0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371CFF70>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D20D0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D21F0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D23A0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D24C0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D25E0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D28B0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D29D0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2A60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2AF0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2B80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2C10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2CA0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2D30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2DC0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2E50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2EE0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D2F70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7040>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D71F0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D70D0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7280>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7310>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D73A0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7430>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D74C0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D75E0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7550>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7670>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7700>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7790>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D78B0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7820>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7940>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D79D0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7A60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7AF0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7B80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001AA371D7C10>)]
name: str = 'fr_HOCCN'
